# R PackageInstaller for Students.R
# Lew Harvey 3 February 2021

# This set of packages should be installed on the lab computers
# in MUEN E311, D346 and E0014.
# It is also useful for students to use R and RStudio on their
# own personal computer for course work in PSYC4165 (Perception)
# It is useful after a fresh install of R and RStudio.
# On some occasions, after installing R packages
# you might need to restart RStudio for the packages to work properly.

# If you get this request in the Console: 

# "Do you want to install from sources the package which needs compilation? (Yes/no/cancel) "
#
# Is is generally safe to type "y". If then you get an error running the script,
# rerun it when it has finished and this time answer "n" to the above question.



# Install devtools package if necessary
if(!require("devtools")) install.packages("devtools")

# Basic packages for knitting Markdown Documents
install.packages(c("bitops",
                   "blogdown",
                   "bookdown",
                   "caTools",
                   "DescTools",
                   "gridExtra",
                   "kableExtra",
                   "knitr",
                   "png",
                   "RefManagR",
                   "rmarkdown",
                   "tinytex",
                   "tikzDevice",
                   
                   # Packages used in data analyses
                   "bootES",
                   "broom",
                   "colorscience",
                   "fBasics",
                   "foreach",
                   "ggalt",
                   "gganimate",
                   "ggforce",
                   "ggfortify",
                   "ggpubr",
                   "ggthemes",
                   "Gifi",
                   "gridExtra",
                   "Hmisc",
                   "lavaan",
                   "lme4",
                   "lmerTest",
                   "magrittr",
                   "maxLik",
                   "nlme",
                   "plotrix",
                   "psych",
                   "reshape2",
                   "rgl",
                   "rstatix",
                   "smacof",
                   "SpecHelpers",
                   "tidymodels",
                   "tidyverse",
                   
                   # Packages  for Structural Equation modeling
                   "MplusAutomation",
                   "OpenMx",
                   "sem"),
                 dependencies = TRUE)

# Install package from from GitHub
devtools::install_github("crsh/papaja")

